<template>
  <v-row justify="center">
    <v-col cols="12" sm="8" md="6">
      <ta-days></ta-days>
      <ta-list :key="`tasks_list_box_${dateText}_${newTaskCount}`"></ta-list>
      <ta-new></ta-new>
    </v-col>
  </v-row>
</template>

<script>
import {mapState} from "vuex";
import TaDays from "~/components/TaDays";
import TaList from "~/components/tasks/TaList";
import TaNew from "~/components/tasks/TaNew";
import dateMixin from "~/mixins/dateMixin";

export default {
  name: 'IndexPage',
  components: {TaNew, TaDays, TaList},
  mixins: [dateMixin],
  computed: {
    ...mapState({
      newTaskCount: (state) => state.tasks.newTaskCount
    }),
  }
}
</script>
